#!/bin/sh
# SquidNow Webadmin
# Marcio Jos
# 20/02/2010

. /var/http/web-functions
. /etc/coyote/coyote.conf
. /var/http/htdocs/squidnow/squidnow.conf

if [ -n "$LANGUAGE_WEBADMIN" ]; then
   LC=`echo $LANGUAGE_WEBADMIN | tr [A-Z] [a-z]`
   [ -e "/var/http/htdocs/squidnow/squidnow.$LC" ] && . /var/http/htdocs/squidnow/squidnow.$LC || . /var/http/htdocs/squidnow/squidnow.enu
else
   . /var/http/htdocs/squidnow/squidnow.enu
fi

ExibirTela(){
if [ -z "`pidof squid`" ]; then
   echo "<table border=0 class=tbcontent><tr><td class=middle><table class=maintable border=0 width=100%>"
   echo "<tr><th>SquidNow</th></tr>"
   echo "<tr>"
   echo "<td class=header>$SQUIDNOW03</td>"
   echo "</tr>"
   echo "</table><br>"
   echo "<table class=maintable width=100%><tr><td><p align="center"><br><br>$SQUIDNOW01</p><br><br></td></tr></table>"
   echo "<br>"
   echo "</td></tr></table></td></tr></table>"
elif [ -z "`ls /usr/local/bin/perl`" ]; then
   echo "<table border=0 class=tbcontent><tr><td class=middle><table class=maintable border=0 width=100%>"
   echo "<tr><th>SquidNow</th></tr>"
   echo "<tr>"
   echo "<td class=header>$SQUIDNOW03</td>"
   echo "</tr>"
   echo "</table><br>"
   echo "<table class=maintable width=100%><tr><td><p align="center"><br><br>$SQUIDNOW02</p><br><br></td></tr></table>"
   echo "<br>"
   echo "</td></tr></table></td></tr></table>"
else
   echo "<table border=0 class=tbcontent><tr><td class=middle><table class=maintable border=0 width=100%>"
   echo "<tr><th>SquidNow</th></tr>"
   echo "<tr>"
   echo "<td class=header>$SQUIDNOW03</td>"
   echo "</tr>"
   echo "</table><br>"
   echo "<table class=maintable width=100%><tr><td><p align="center">[ <a href=/squidnow/index.html><u>$SQUIDNOW04</u></a> ]</td></tr>"
   echo "<tr><td><p align="center">[ <a href=SquidNow.cgi?ACTION=CONFIG><u>$SQUIDNOW05</u></a> ]</td></tr>"
   echo "<tr><td><p align="center">[ <a href=SquidNow.cgi?ACTION=RESTART><u>$SQUIDNOW06</u></a> ]</td></tr>"
   echo "<br>"
   echo "</td></tr></table></td></tr></table>"
fi
}

Configuracoes(){
echo '<table border=0 class=tbcontent><tr><td class=middle><form method="POST" action="SquidNow.cgi">'
echo '<table class=maintable border="0" width="100%"><tr><th colspan=2>'$SQUIDNOW03'</td></tr>'
echo '<tr><td class=row1 align=right><b>'$SQUIDNOW21'</b><br>'$SQUIDNOW22'</td>'
echo '<td class=row2><input type=text size="3" name=SQUIDNOW_NUMBEROFLINES value="'$SQUIDNOW_NUMBEROFLINES'"></td></tr>'
echo '</table><p align=center><input type=submit value="'$SQUIDNOW07'" name="OKBTN">&nbsp;<input type=reset value="'$SQUIDNOW08'">&nbsp;<input type=button value="'$SQUIDNOW09'" onClick=window.location="SquidNow.cgi"></p></form>'
echo '</td></tr></table></td></tr></table>'
}

SalvarConfiguracao(){
echo '<table border=0 class=tbcontent><tr><td class=middle><form method="POST" action="SquidNow.cgi">'
echo '<table class=maintable border="0" width="100%"><tr><th colspan=2></td></tr>'
sed -i '/SQUIDNOW/d' /var/http/htdocs/squidnow/squidnow.conf
echo "SQUIDNOW_NUMBEROFLINES='"$FORM_SQUIDNOW_NUMBEROFLINES"'" >>/var/http/htdocs/squidnow/squidnow.conf
touch /tmp/need.save
echo "<td width=100% class=middle valign=top><b><font size=3>SquidNow</font><font size=3> $SQUIDNOW23</font></b><p><font size=2>[ <a href=SquidNow.cgi?ACTION=RESTART>$SQUIDNOW06</a> ]</font></td></tr></table>"
echo "<center><div id=back><a href=backup.cgi class=links><u>$Wqa</u></a></div></center>"
echo '</td></tr></table></td></tr></table>'
cl_footer2
exit
}

Recarregar(){
touch /tmp/recarregar_squidnow
echo '<table class=maintable border=0 width=\"100%\"><tr><th>SquidNow</th></tr><tr><td><pre>'
/etc/rc.d/pkgs/sd.zSquidNow
/etc/rc.d/pkgs/rc.zSquidNow
echo '</pre></td></tr></table>'
echo "<center><div id=back><a href=SquidNow.cgi class=links><u>$Fbl</u></a></div></center>"
}

cl_header2 "SquidNow - BrazilFW"

case "$FORM_OKBTN" in
     "$SQUIDNOW07") SalvarConfiguracao ;;
     *) ;;
esac

case "$FORM_ACTION" in
     "CONFIG") Configuracoes ;;
     "RESTART") Recarregar ;;
     *) ExibirTela ;;
esac

cl_footer2
